#include"../cubature.h"
// -------------------------------------------------------------------------
// example 4:
// cauchyxcauchy integral (using cauchyxcauchy formula)
//
// f(x,y) = 1 / (0.01 + sqr(x - 0.25) + sqr(y - 0.75 ))
//
// integrand: f(x,y) / (xy)
//
// -------------------------------------------------------------------------
                                                                                              
int main() {

 try{

  integrand f;

  f = 100 / (1 + 100 * (sqr(x - 0.25) + sqr(y - 0.75 )));

  for (real eps = 1e-2; eps > 1e-13; eps *= 1e-2){ 
  cauchy_integral example(f, 0.75, 0.25);
  example.integrate(0, 1 , 0 , 1, eps);
  cout << SetPrecision(10,2) << Scientific
        << " required max. diam. of remainder:  " << eps << endl
        << SetPrecision(20,16) << example << endl << endl;       
  }
 }
 catch(integrand::error e){
	  cout << " formelgen. " << e.i << endl;
 }

 return 0;
}
