#include"../cubature.h"
// -----------------------------------------------
// example 2:
// riemann integral (using cauchyxriemann formula)
//
// f(x,y) = sin(xy)/(xy)
//
// -----------------------------------------------     

int main() {

 try{
  integrand f;
  f = sin(x*y);
  interval pi = 4 * atan(interval(1));

  for (real eps = 1e-2; eps > 1e-15; eps *= 1e-2){
   cauchy_integral example(f,0,0);
   example.integrate(-pi, pi , -pi , pi, eps);
   cout << SetPrecision(10,2) << Scientific 
        << " required max. diam. of remainder  " << eps << endl 
        << SetPrecision(20,16) << example << endl << endl; 
   //           a.print_division(); 
  }

 }
 catch(integrand::error e){
	  cout << " formelgen. " << e.i << endl;
 }

 return 0;

}
